import { world, system } from "@minecraft/server";
    
function durabilityOnChanged(item, player, isHitEntity = false) {
    let level = item.getComponent("minecraft:enchantable")?.getEnchantment("unbreaking")?.level;

    function durability() {
        let durability = item.getComponent("minecraft:durability");

        const t = Math.floor(Math.random() * 100);

        if (t < durability.getDamageChance()) {
            if (!isHitEntity) durability.damage += 1;
            if (durability.damage >= durability.maxDurability) {
                player.playSound("random.break");
                if (!isHitEntity) player.getComponent('equippable').setEquipment('Mainhand', undefined)
            } else {
                if (!isHitEntity) player.getComponent('equippable').setEquipment('Mainhand', item)
            }
        } else {
            if (!isHitEntity) return;
            durability.damage -= 1;
            if (!isHitEntity) player.getComponent('equippable').setEquipment('Mainhand', item);
        }
    }

    const t = Math.floor(Math.random() * 10)
    if (level === 1 && t > 8) return;
    else if (level === 2 && t > 6) return;
    else if (level === 3 && t > 4) return;
    else durability();
}

world.beforeEvents.worldInitialize.subscribe(initEvent => { initEvent.itemComponentRegistry.registerCustomComponent('mod_item_oldcamera:trigger', {
  onUse: e => { durabilityOnChanged(e.itemStack, e.source, false);
e.source.runCommand("function cameracommand"); },
  
  onHitEntity: e => { durabilityOnChanged(e.itemStack, e.source, true); },
  onMineBlock: e => { durabilityOnChanged(e.itemStack, e.source, false); },
});

initEvent.itemComponentRegistry.registerCustomComponent('uer_drinks_almond_water_bucket:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:speed", 360, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('uer_drinks_almond_water_bowl:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:speed", 180, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('uer_drinks_almond_water_bottle:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:speed", 260, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('uer_food_lifeform_fungus:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:poison", 200, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('uer_food_red_vein:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:nausea", 200, {amplifier: 1});
e.source.addEffect("minecraft:poison", 100, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('uer_food_hound_food_bowl:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:nausea", 100, {amplifier: 1});
e.source.addEffect("minecraft:poison", 100, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('uer_drinks_ex_almond_water_bottle:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:nausea", 160, {amplifier: 1});
e.source.addEffect("minecraft:slowness", 160, {amplifier: 1});
e.source.removeEffect("minecraft:regeneration");
e.source.removeEffect("minecraft:speed");
e.source.removeEffect("minecraft:instant_health");
e.source.removeEffect("minecraft:jump_boost");
e.source.removeEffect("minecraft:strength");
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('uer_drinks_ex_almond_water_bowl:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:nausea", 100, {amplifier: 1});
e.source.addEffect("minecraft:slowness", 100, {amplifier: 1});
e.source.removeEffect("minecraft:regeneration");
e.source.removeEffect("minecraft:speed");
e.source.removeEffect("minecraft:instant_health");
e.source.removeEffect("minecraft:jump_boost");
e.source.removeEffect("minecraft:strength");
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('uer_drinks_ex_almond_water_bucket:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:nausea", 220, {amplifier: 1});
e.source.addEffect("minecraft:slowness", 220, {amplifier: 1});
e.source.removeEffect("minecraft:regeneration");
e.source.removeEffect("minecraft:speed");
e.source.removeEffect("minecraft:instant_health");
e.source.removeEffect("minecraft:jump_boost");
e.source.removeEffect("minecraft:strength");
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('uer_drinks_ex_almond_water_capsule:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:nausea", 140, {amplifier: 1});
e.source.addEffect("minecraft:slowness", 140, {amplifier: 1});
e.source.removeEffect("minecraft:regeneration");
e.source.removeEffect("minecraft:speed");
e.source.removeEffect("minecraft:instant_health");
e.source.removeEffect("minecraft:jump_boost");
e.source.removeEffect("minecraft:strength");
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('uer_drinks_liquid_pain_bottle:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:instant_damage", 200, {amplifier: 1});
e.source.addEffect("minecraft:nausea", 100, {amplifier: 1});
e.source.addEffect("minecraft:poison", 200, {amplifier: 1});
e.source.addEffect("minecraft:wither", 160, {amplifier: 1});
e.source.removeEffect("minecraft:regeneration");
e.source.removeEffect("minecraft:speed");
e.source.removeEffect("minecraft:instant_health");
e.source.removeEffect("minecraft:jump_boost");
e.source.removeEffect("minecraft:strength");
e.source.removeEffect("minecraft:haste");
e.source.removeEffect("minecraft:health_boost");
e.source.removeEffect("minecraft:conduit_power");
e.source.removeEffect("minecraft:fire_resistance");
e.source.removeEffect("minecraft:absorption");
  
},

  onUse: e => {
  e.source.runCommand("function wretchcommand");
e.source.runCommand("function nothingcommand1");
e.source.runCommand("function nothingcommand2");
e.source.runCommand("function nothingcommand3");
},

});

initEvent.itemComponentRegistry.registerCustomComponent('uer_drinks_almond_water_capsule:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:speed", 200, {amplifier: 1});
  
},

  
});

initEvent.itemComponentRegistry.registerCustomComponent('uer_drinks_liquid_pain_bowl:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:instant_damage", 160, {amplifier: 1});
e.source.addEffect("minecraft:nausea", 60, {amplifier: 1});
e.source.addEffect("minecraft:poison", 160, {amplifier: 1});
e.source.addEffect("minecraft:wither", 100, {amplifier: 1});
e.source.removeEffect("minecraft:regeneration");
e.source.removeEffect("minecraft:speed");
e.source.removeEffect("minecraft:instant_health");
e.source.removeEffect("minecraft:jump_boost");
e.source.removeEffect("minecraft:strength");
e.source.removeEffect("minecraft:haste");
e.source.removeEffect("minecraft:health_boost");
e.source.removeEffect("minecraft:conduit_power");
e.source.removeEffect("minecraft:fire_resistance");
e.source.removeEffect("minecraft:absorption");
  
},

  onUse: e => {
  e.source.runCommand("function wretchcommand");
e.source.runCommand("function nothingcommand1");
e.source.runCommand("function nothingcommand2");
e.source.runCommand("function nothingcommand3");
e.source.runCommand("function nothingcommand4");
e.source.runCommand("function nothingcommand5");
},

});

initEvent.itemComponentRegistry.registerCustomComponent('uer_drinks_liquid_pain_bucket:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:instant_damage", 220, {amplifier: 1});
e.source.addEffect("minecraft:nausea", 180, {amplifier: 1});
e.source.addEffect("minecraft:poison", 220, {amplifier: 1});
e.source.addEffect("minecraft:wither", 180, {amplifier: 1});
e.source.removeEffect("minecraft:regeneration");
e.source.removeEffect("minecraft:speed");
e.source.removeEffect("minecraft:instant_health");
e.source.removeEffect("minecraft:jump_boost");
e.source.removeEffect("minecraft:strength");
e.source.removeEffect("minecraft:haste");
e.source.removeEffect("minecraft:health_boost");
e.source.removeEffect("minecraft:conduit_power");
e.source.removeEffect("minecraft:fire_resistance");
e.source.removeEffect("minecraft:absorption");
  
},

  onUse: e => {
  e.source.runCommand("function wretchcommand");
e.source.runCommand("function nothingcommand1");
e.source.runCommand("function nothingcommand2");
e.source.runCommand("function nothingcommand4");
},

});

initEvent.itemComponentRegistry.registerCustomComponent('uer_drinks_liquid_pain_capsule:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:instant_damage", 80, {amplifier: 1});
e.source.addEffect("minecraft:nausea", 60, {amplifier: 1});
e.source.addEffect("minecraft:poison", 100, {amplifier: 1});
e.source.addEffect("minecraft:wither", 120, {amplifier: 1});
e.source.removeEffect("minecraft:regeneration");
e.source.removeEffect("minecraft:speed");
e.source.removeEffect("minecraft:instant_health");
e.source.removeEffect("minecraft:jump_boost");
e.source.removeEffect("minecraft:strength");
e.source.removeEffect("minecraft:haste");
e.source.removeEffect("minecraft:health_boost");
e.source.removeEffect("minecraft:conduit_power");
e.source.removeEffect("minecraft:fire_resistance");
e.source.removeEffect("minecraft:absorption");
  
},

  onUse: e => {
  e.source.runCommand("function wretchcommand");
e.source.runCommand("function nothingcommand1");
e.source.runCommand("function nothingcommand2");
e.source.runCommand("function nothingcommand3");
e.source.runCommand("function nothingcommand4");
e.source.runCommand("function nothingcommand5");
},

});

initEvent.itemComponentRegistry.registerCustomComponent('uer_food_soft_pumpkin_soup:trigger', {
  onConsume: e => {
  e.source.addEffect("minecraft:strength", 120, {amplifier: 2});
e.source.removeEffect("minecraft:slowness");
e.source.removeEffect("minecraft:blindness");
  
},

  
});
 });
